# SuperPush

This is a very basic and naive implementation of "git status", "git commit" and "git push" based on the quick and simple workflow that we have in our studio. And because we're kind of lazy and we don't like to type more than it's necessary, we created **Super Push**.


## Installation

Type this line to your command line:

    $ gem install super_push

## Usage

To start using super_push you have this options:

```bash
spush "Message of your commit"
```

Simply add all files to the commit with the passed message, and push it with "git push -u origin master".

```bash
spush -b "Message of your commit"
```

Add all files to the commit with the passed message, and update the branch, but this do not push the changes so we can merge it to the master in the future with "git merge <branch>".

```bash
spush -s "Message of your commit"
```

This command shows the current status of your git working directory, and asks you is you wanna proceed, if so it we'll behave as the first command, if not it simply exits the "process".

```bash
spush -s -b "Message of your commit"
```

And finally, this usage combines the previous two.


Enjoy ;)


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

