# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'super_push/version'

Gem::Specification.new do |spec|
  spec.name          = "super_push"
  spec.version       = SuperPush::VERSION
  spec.authors       = ["A–P.CO"]
  spec.email         = ["bernat@a-p.co"]

  spec.summary       = %q{Let's push to our remote git repository.}
  spec.description   = %q{Push the new repository changes without having to type the main 3 commands, "git add --all, git commit -m '', git push -u ..."}
  spec.homepage      = "https://bitbucket.org/bjufre/super-push"
  spec.license       = "MIT"


  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_runtime_dependency "highline", "~> 1.7.2"
  spec.add_runtime_dependency "rainbow", "~> 2.0.0"

  spec.add_runtime_dependency "escort", "~> 0.4.0"
end
